Bug 842119 - pre upgrade scripts will not run correctly upon 3.0 DB restore
pre upgrade scripts will not run correctly upon 3.0 DB restore
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2
Assigned To: Eli Mesika
integration
:
Depends On:
Blocks: 822145
  Show dependency treegraph
 
Reported: 2012-07-22 06:03 EDT by Eli Mesika
Modified: 2013-02-15 01:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 01:46:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
3.0 database file to restore from (662.55 KB, text/x-sql)
2012-07-22 06:03 EDT, Eli Mesika
no flags Details

  None (edit)
Description Eli Mesika 2012-07-22 06:03:33 EDT
Created attachment 599578 [details]
3.0 database file to restore from

Description of problem:
Restore a 3.0 database and runnig the 3.1 upgrade scripts on it is not working.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.dropdb -U postgres engine
2.createdb -U postgres engine
3.psql -U postgres -d engine -w < engine.sql
4.upgrade.sh -u postgres -d engine
  
Actual results:
psql:/tmp/tmp.mXz8U4xpWr:3: ERROR:  column "comment" of relation "schema_version" does not exist
LINE 1: ...ksum,installed_by,started_at,ended_at,state,current,comment)

Expected results:
Upgrade should complete successfully

Additional info:
engine.sql (attached)
Comment 1 Eli Mesika 2012-07-22 06:21:14 EDT
http://gerrit.ovirt.org/#/c/6504/
Comment 2 Eli Mesika 2012-07-23 11:54:38 EDT
fixed in commit : 5845c73
Comment 3 Ofer Schreiber 2012-07-25 11:34:24 EDT
Should be cherry-picked into engine_3.1

Eli- can you do that pleasE?
Comment 4 Eli Mesika 2012-07-25 16:17:57 EDT
(In reply to comment #3)
> Should be cherry-picked into engine_3.1
> 
> Eli- can you do that pleasE?

sure, will let you know when done
Comment 5 Itamar Heim 2013-01-16 11:08:38 EST
3.2 beta built, moving to ON_QA status to allow testing

Note You need to log in before you can comment on or make changes to this bug.